import { OnInit, OnChanges, ChangeDetectorRef, SimpleChanges } from "@angular/core";
import { AyudaService } from "../../service/ayuda.service";
import { ActivatedRoute } from "@angular/router";
import { SessionSharedService } from "../../service/session-shared.service";
export declare class BitReadonlyComponent implements OnInit, OnChanges {
    protected router: ActivatedRoute;
    protected sessionShared: SessionSharedService;
    protected ayudaService: AyudaService;
    protected changeDetectorRef: ChangeDetectorRef;
    ayuda: string;
    valor: any;
    tipo: string;
    hideLabel: boolean;
    data: any[];
    domain: string;
    private opcionesDropdown;
    constructor(router: ActivatedRoute, sessionShared: SessionSharedService, ayudaService: AyudaService, changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    showAyuda(): void;
    readonly value_lectura: string;
    readonly isTextarea: boolean;
}
